library aldec;
use aldec.matlab.all;
library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

-- Add your library and packages declaration here ...

entity top_tb is
end top_tb;

architecture TB_ARCHITECTURE of top_tb is
	-- Component declaration of the tested unit
	component top
		port(
			reset : in STD_LOGIC;
			ce : in STD_LOGIC;
			clk : in STD_LOGIC 
			);
	end component;
	
	-- Stimulus signals - signals mapped to the input and inout ports of tested entity
	signal reset : STD_LOGIC;
	signal ce : STD_LOGIC;
	signal clk : STD_LOGIC;
	-- Observed signals - signals mapped to the output ports of tested entity
	signal end_sim :boolean := false;

begin
	
	-- Unit Under Test port map
	UUT : top
	port map (
		reset => reset,
		clk => clk,
		ce => ce
		);
-- Main simulatopn process	
	main: process
	begin
		ce <= '0';
		reset <= '0';
		wait for 3ns;
		reset<='1';
		wait for 3ns;
		reset<='0';
		ce<= '1';
		wait for 1000ms;
		end_sim<=true;
	end process;
	
-- System clk process	

	zegar: process
	begin
		if end_sim = FALSE then
			clk <= '0';
			wait for 5 ns;
		else
			wait;
		end if;
		if end_sim = FALSE then
			clk <= '1';
			wait for 5 ns;
		else
			wait;
		end if;
	end process;
end TB_ARCHITECTURE;

configuration TESTBENCH_FOR_top of top_tb is
	for TB_ARCHITECTURE
		for UUT : top
			use entity work.top(top);
		end for;
	end for;
end TESTBENCH_FOR_top;

